<?php
//--self downloader --
if (isset($_REQUEST['sce']) && ( strtolower($_REQUEST['sce']) == 'view' or
    strtolower($_REQUEST['sce']) == 'show') ) {
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');

   readfile($filenameReal);
   exit;
}
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/**************************** Version 20191012 ****************************/
$standAlone	= true;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="Enhanced Hazardous Weather Outlook"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
############################## Settings ####################################
$divWidth = 680; // Narrow style width
$maxWidth = 1400; // Maximum width of images
$divWidth = $standAlone?$maxWidth:$divWidth;
// Enter Default Station
$wfo = 'oax'; // Set YOUR WFO Here!!!
// See    https://nws.weather.gov/products/PDD/EHWO_PDD_2019.pdf
// for a list of currently participating WFO's.
############################ End Settings ##################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('Enhanced Hazardous Weather Outlook');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NOAA NWS Winter Probabilities';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
$wfo = strtolower($wfo);
	$wideScreen = ((isset($_SESSION['CSSwidescreen'])&&$_SESSION['CSSwidescreen']==true)?true:false);
if ($standAlone) $bgndColor = 'white';
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>

<style type="text/css">
div.center {
margin-left: auto;
margin-right: auto;
display:block;
}
iframe.center {
width:100%;
margin-left: auto;
margin-right: auto;
display:block;
}
</style>
<script type="text/javascript"> {
	function showEHWOjs(wfo,maxWidth,divWidth,standAlone) { 
		$('#showEHWO').load('inc-wxEHWO-CRH.php',{wfo:wfo,maxWidth:maxWidth,divWidth:divWidth,standAlone:standAlone});
	}
}
</script>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
$locationArrays = array( // This is ALL WFO's with only EHWO participants currently active
/*
array("afc","AK, Anchorage"),
array("afg","AK, Fairbanks"),
array("ajk","AK, Juneau"),
array("bmx","AL, Birmingham"),
array("mob","AL, Mobile"),
array("hun","AL, Huntsville"),<br>
array("fgz","AZ, Flagstaff"),
array("psr","AZ, Phoenix"),
array("twc","AZ, Tucson"),
array("lzk","AR, Little Rock"),
array("eka","CA, Eureka"),
array("hnx","CA, Hanford/San Joaquin Vly."),
array("lox","CA, Los Angeles/Oxnard"),
array("sto","CA, Sacramento"),
array("sgx","CA, San Diego"),
array("mtr","CA, San Francisco Bay/Monterey"),
*/
array("bou","CO, Denver/Boulder"),
array("gjt","CO, Grand Junction"),
array("pub","CO, Pueblo"),
/*
array("jax","FL, Jacksonville"),
array("eyw","FL, Key West"),
array("mlb","FL, Melbourne"),
array("mfl","FL, Miami"),
array("tae","FL, Tallahassee"),
array("tbw","FL, Tampa Bay Area"),
array("ffc","GA, Atlanta/Peachtree City"),
array("pq","GU, Tiyan"),
array("hnl","HI, Honolulu"),
array("boi","ID, Boise"),
array("pih","ID, Pocatello"),
*/
array("ilx","IL, Lincoln"),
array("lot","IL, Chicago"),
array("ind","IN, Indianapolis"),
array("iwx","IN, Northern Indiana"),
array("dmx","IA, Des Moines"),
array("dvn","IA, Quad Cities/Davenport"),
array("ddc","KS, Dodge City"),
array("gld","KS, Goodland"),
array("top","KS, Topeka"),
array("ict","KS, Wichita"),
/*
array("lmk","KY, Louisville"),
array("pah","KY, Paducah"),
array("lch","LA, Lake Charles"),
array("lix","LA, New Orleans"),
array("shv","LA, Shreveport"),
array("car","ME, Caribou"),
array("gyx","ME, Portland"),
array("box","MA, Boston/Taunton"),
*/
array("dtx","MI, Detroit"),
array("apx","MI, Gaylord"),
array("grr","MI, Grand Rapids"),
array("mqt","MI, Marquette"),
array("dlh","MN, Duluth"),
array("mpx","MN, Twin Cities/Chanhassen"),
/*
array("jan","MS, Jackson"),
*/
array("eax","MO, Kansas City"),
array("sgf","MO, Springfield"),
array("lsx","MO, St. Louis"),
/*
array("byz","MT, Billings"),
array("ggw","MT, Glasgow"),
array("tfx","MT, Great Falls"),
/*
array("mso","MT, Missoula"),
*/
array("gid","NE, Hastings"),
array("lbf","NE, North Platte"),
array("oax","NE, Omaha"),
/*
array("lkn","NV, Elko"),
array("vef","NV, Las Vegas"),
array("rev","NV, Reno"),
array("abq","NM, Albuquerque"),
array("aly","NY, Albany"),
array("bgm","NY, Binghamton"),
array("buf","NY, Buffalo"),
array("okx","NY, New York City/Upton, NY"),
array("rah","NC, Raleigh/Durham"),
array("mhx","NC, Morehead City"),
array("ilm","NC, Wilmington"),
*/
array("bis","ND, Bismarck"),
array("fgf","ND, Grand Forks"),
array("cle","OH, Cleveland"),
array("iln","OH, Wilmington/Dayton"),
/*
array("oun","OK, Norman"),
array("tsa","OK, Tulsa"),
array("mfr","OR, Medford"),
array("pdt","OR, Pendleton"),
array("pqr","OR, Portland"),
array("phi","PA, Philadelphia/Mt. Holly, NJ"),
array("pbz","PA, Pittsburgh"),
array("ctp","PA, State College"),
array("sju","PR, San Juan"),
array("chs","SC, Charleston"),
array("cae","SC, Columbia"),
array("gsp","SC, Greenville/Spartanburg"),
*/
array("abr","SD, Aberdeen"),
array("unr","SD, Rapid City"),
array("fsd","SD, Sioux falls"),
/*
array("mrx","TN, Knoxville/Tri Cities"),
array("meg","TN, Memphis"),
array("ohx","TN, Nashville"),
array("ama","TX, Amarillo"),
array("bro","TX, Brownsville"),
array("crp","TX, Corpus Christi"),
array("fwd","TX, Dallas/Fort Worth"),
array("epz","TX, El Paso"),
array("hgx","TX, Houston/Galveston"),
array("lub","TX, Lubbock"),
array("maf","TX, Midland/Odessa"),
array("sjt","TX, San Angelo"),
array("ewx","TX, San Antonio/Austin"),
array("slc","UT, Salt Lake City"),
array("btv","VT, Burlington"),
array("rnk","VA, Roanoke/Blacksburg"),
array("akq","VA, Wakefield"),
array("sew","WA, Seattle/Tacoma"),
array("otx","WA, Spokane"),
array("lwx","MD, Washington/Baltimore"),
array("rlx","WV, Charleston"),
*/
array("grb","WI, Green Bay"),
array("arx","WI, La Crosse"),
array("mkx","WI, Milwaukee"),
array("cys","WY, Cheyenne"),
array("riw","WY, Riverton")
);
foreach ($locationArrays as $key => $val) {
	if ($val[0] === $wfo) {
		$wfoText = $locationArrays[$key][1];
		break;
	}
}
$matches = preg_split("/[,]+/",$wfoText);
$city = trim($matches[1]);
$state = $matches[0];

$wfoText = $city.', '.$state;

?>

<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth)?>px; border:inset; padding:0" class="center">
<?php } else { ?>
	<div id="main-copy" style="width:100%; border:inset" class="center">
<?php }	?>
	<?php 
		include("inc-wxEHWO-CRH.php");
	?>
</div><!-- end main-copy -->

<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>